#!/bin/sh
#
# File  : build.sh
# Author: Koen Martens <Koen.Martens@tomtom.com>
# Desc. : Convenient build script for TomTom development
#

echo Configuring..

./configure --build=i686-linux --host=arm-linux --target=arm-linux --enable-fpm=arm --prefix=/usr/local/cross/gcc-3.3.4_glibc-2.3.2/arm-linux/sys-root/usr 1> build-config.log 2>&1

rv=$?
if [ ! $rv -eq 0 ]; then
  echo Configure failed, consult build-config.log for details
  exit 1
fi

echo Building..

make 1> build-make.log 2>&1

rv=$?
if [ ! $rv -eq 0 ]; then
  echo make failed!
  exit 1
fi

echo Installing..

sudo make install 1> build-install.log 2>&1

rv=$?
if [ ! $rv -eq 0 ]; then
  echo make install failed!
  exit 1
fi

